<template>
  <div>
    <ob-table
      :columns="tableColumns"
      :functionalPanel="false"
      :remote-opt="{
        method: getOrders
      }"
      :tableLayoutFixed="false"
      data-qa="LogisticDomainsAgentOrdersTable"
      ref="obTableAgentOrders"
    >
      <template v-slot:date="{ data }">
        {{ (new Date(data.item.date)).toLocaleDateString('ru-RU') }}
      </template>
      <template v-slot:route="{ data }">
        <span>{{data.item.route.points[0].title}}</span>
        <div class="sep">
          <span> +4 </span>
        </div>
        <span>{{data.item.route.points[1].title}}</span>
      </template>
      <template v-slot:modality="{ data }">
        <i :class="['icon', data.item.modality]"></i>
      </template>
    </ob-table>
  </div>
</template>

<script>
  import api from '@/api';
  import obTable from 'common-components/src/obComponents/obTable';

  export default {
    name: 'agentOrdersComponent',

    components: {
      obTable
    },
    
    data() {
      return {
        orders: null
      }
    },

    computed: {
      tableColumns() {
        return [
          {
            title: 'дата погрузки',
            key: 'date',
            slotName: 'date'
          },
          {
            title: 'маршрут',
            key: 'route',
            slotName: 'route'
          },
          {
            title: 'модальность',
            key: 'modality',
            slotName: 'modality'
          },
          {
            title: 'тип ресурса',
            key: 'resource'
          }
        ]
      }
    },

    // async created() {
    //   await this.getOrders();
    // },

    methods: {
      async getOrders() {
        const res = await api.linkBrowser.getAgentOrders();
        return res;
      }
    }
  }
</script>

<style lang="scss" scoped>
@import "~common-components/src/static/css/variables";
@import "~common-components/src/static/css/mixins";

  i {
    font-size: 16px;
    color: $color-blue-navy-blue
  }

  ::v-deep {
    td:nth-child(2) {
      width: 450px;

      .td-container > div {
        display: flex;
        align-items: center;
        // justify-content: space-between;
        width: 100%;
      }
    }

    th:nth-child(3) .td-container,
    td:nth-child(3) .td-container {
      justify-content: center;
      align-items: center;
      line-height: 1;
    }

    .sep {
      margin: 0 15px;
      flex-grow: 1;
      position: relative;
      border-top: 2px dotted #5CCAFF; // $color-blue-heavenly

      span {
        height: 16px;
        padding: 0 3px;
        position: absolute;
        left: 50%;
        top: 50%;
        transform: translate(-50%, calc(-50% - 2px));
        display: flex;
        align-items: center;
        justify-content: center;
        @include font-mixin(10px, 20px, 700, #18B4FF);
        border: 1px solid #5CCAFF; // $color-blue-heavenly
        border-radius: 5px;
        background-color: #fff;

      }
    }
  }

</style>